# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "ergo-lib-jni"
version = "0.4.2"
authors = ["Denys Zadorozhnyi <denys@zadorozhnyi.com>"]
description = "JNI bindings for ergo-lib"
license = "CC0-1.0"
repository = "https://github.com/ergoplatform/sigma-rust"

[lib]
name = "ergowalletlibjni"
crate-type = ["staticlib", "cdylib"]
path = "src/main/rust/lib.rs"
[dependencies.ergo-lib]
version = "^0.4.0"

[dependencies.ergo-lib-c-core]
version = "^0.4.0"

[dependencies.failure]
version = "0.1"

[dependencies.jni]
version = "0.17.0"

[dependencies.log]
version = "0.4"
